Bug 592388 - Review Request: vor - Variations on Rockdogders is an 2D space shooter
Review Request: vor - Variations on Rockdogders is an 2D space shooter
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Magnus Tuominen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 14:19 EDT by Thomas Janssen
Modified: 2010-07-05 18:06 EDT (History)
5 users (show)

See Also:
Fixed In Version: vor-0.5.5-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-05 18:06:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
magnus.tuominen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
Patch to fix a DSO issue (501 bytes, patch)
2010-05-15 14:19 EDT, Thomas Janssen
no flags Details | Diff

  None (edit)
Description Thomas Janssen 2010-05-14 14:19:11 EDT
Spec URL: http://thomasj.fedorapeople.org/reviews/vor.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/vor-0.5.5-1.fc11.src.rpm
Description:
VoR is a simple, fast-paced action game that will challenge your reflexes. 
It has excelent gameplay, great physics, good graphics, and a retro/synthoid 
thumpy beat to help put you in the mood for old-school 2D gaming.

[thomas@tusdell ~]$ rpmlint rpmbuild/SPECS/vor.spec rpmbuild/SRPMS/vor-0.5.5-1.fc11.src.rpm rpmbuild/RPMS/x86_64/vor-*
vor.src: W: spelling-error %description -l en_US excelent -> excellent, excellence, excellency
vor.src: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
vor.src: W: spelling-error %description -l en_US synthoid -> synthesis, synthetic, synthesized
vor.src: W: spelling-error %description -l en_US thumpy -> thump, thumps, thump y
vor.x86_64: W: spelling-error %description -l en_US excelent -> excellent, excellence, excellency
vor.x86_64: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
vor.x86_64: W: spelling-error %description -l en_US synthoid -> synthesis, synthetic, synthesized
vor.x86_64: W: spelling-error %description -l en_US thumpy -> thump, thumps, thump y
3 packages and 1 specfiles checked; 0 errors, 8 warnings.


http://koji.fedoraproject.org/koji/taskinfo?taskID=2188559
Comment 2 Jason Woofenden 2010-05-15 06:23:28 EDT
Hi,

I'm the upstream maintainer. Please let me know if I can be of any help. I just put myself on the CC list for this bug.

Take care,   - Jason
Comment 3 Thomas Janssen 2010-05-15 14:19:38 EDT
Created attachment 414273 [details]
Patch to fix a DSO issue

Hi Jason :)

I added a patch to fix a DSO issue. Thanks for the game btw.
Comment 4 Aditya Patawari 2010-05-15 15:35:19 EDT
Informal Review

+RPM Lint output
vor.src: W: spelling-error %description -l en_US excelent -> excellent, excellence, excellency
vor.src: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
vor.src: W: spelling-error %description -l en_US synthoid -> synthesized, synthetic, synthesis
vor.src: W: spelling-error %description -l en_US thumpy -> thump, thumps, thump y
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

+ Package is named according to the  Package Naming Guidelines.
+ SPEC file is legible and properly named.
+ Package meets the  Packaging Guidelines.
+ License Verified (GPLv2+).
+ License file included in package
+ Spec in American English
+ MD5 matched a4eb90351dc19413e82ac0bc5269bc42
+ No System binaries Bundled.
+ Koji Build checked.
+ BuildRoot is fine :%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n).
+ BuildRequires verified.
+ Files and Files permissions are right.
+ %defattr present.
+ %doc section is fine.
+ Clean section is correct.
+ Package is code and has permissible content.
+ Package has no duplicate files in %files.
+ Package is a GUI app and has a .desktop file
+ No need of separate devel, doc and static package.
+ File names are valid UTF-8

Status: Package seems all right to me. Has to be approved by a package maintainer.
Comment 5 Magnus Tuominen 2010-06-29 07:28:36 EDT
I'll have a look.
Comment 6 Magnus Tuominen 2010-06-29 13:31:09 EDT
My followup:

Packaging Review Guidelines

####

+ MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint -iv vor-*                               
vor.src: I: checking                                                                                    
vor.src: W: spelling-error %description -l en_US excelent -> excellent, Excellence, Excellency          
The value of this tag appears to be misspelled. Please double-check.

vor.src: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
The value of this tag appears to be misspelled. Please double-check.

vor.src: W: spelling-error %description -l en_US synthoid -> synthesized, synthesis, synthetic
The value of this tag appears to be misspelled. Please double-check.

vor.src: W: spelling-error %description -l en_US thumpy -> thump, humpy, thumps
The value of this tag appears to be misspelled. Please double-check.

vor.src: I: checking-url http://jasonwoof.org/vor (timeout 10 seconds)
vor.src: I: checking-url http://qualdan.com/vor/vor-0.5.5.tar.bz2 (timeout 10 seconds)
vor.x86_64: I: checking
vor.x86_64: W: spelling-error %description -l en_US excelent -> excellent, Excellence, Excellency
The value of this tag appears to be misspelled. Please double-check.

vor.x86_64: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
The value of this tag appears to be misspelled. Please double-check.

vor.x86_64: W: spelling-error %description -l en_US synthoid -> synthesized, synthesis, synthetic
The value of this tag appears to be misspelled. Please double-check.

vor.x86_64: W: spelling-error %description -l en_US thumpy -> thump, humpy, thumps
The value of this tag appears to be misspelled. Please double-check.

vor.x86_64: I: checking-url http://jasonwoof.org/vor (timeout 10 seconds)
vor.x86_64: W: no-manual-page-for-binary vor
Each executable in standard binary directories should have a man page.

vor-debuginfo.x86_64: I: checking
vor-debuginfo.x86_64: I: checking-url http://jasonwoof.org/vor (timeout 10 seconds)
3 packages and 0 specfiles checked; 0 errors, 9 warnings.

spelling errors in %description, excelent -> excellent.
as for missing man pages, there are none to package, not an issue imo.


+ MUST: The package must be named according to the Package Naming Guidelines.
+ MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
+ MUST: The package must meet the Packaging Guidelines.
+ MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
+ MUST: The License field in the package spec file must match the actual license.
COPYING says GPLv2, website says GPL, and the spec claims GPLv2+ , which one is it? :-)

+ MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
+ MUST: The spec file must be written in American English.
+ MUST: The spec file for the package MUST be legible.
+ MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
matches:
upstream: a4eb90351dc19413e82ac0bc5269bc42
rpm: a4eb90351dc19413e82ac0bc5269bc42


+ MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
tested fc13.x86_64


+ MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
+ MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
+ MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
+ MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
+ MUST: Packages must NOT bundle copies of system libraries.
+ MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
+ MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
+ MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
+ MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
+ MUST: Each package must consistently use macros.
+ MUST: The package must contain code, or permissable content.
+ MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
+ MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
+ MUST: Header files must be in a -devel package.
+ MUST: Static libraries must be in a -static package.
+ MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
+ MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
+ MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
+ MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
+ MUST: All filenames in rpm packages must be valid UTF-8.



SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.

+ SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
+ SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
+ SHOULD: The reviewer should test that the package builds in mock.
tested fc13.x86_64


+ SHOULD: The package should compile and build into binary rpms on all supported architectures.
+ SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
a nice little game! :)


+ SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
+ SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
+ SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
+ SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
* SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.
##EOF
License and spelling error in %description.
I would also like some kind of explanation of what the patch does included in the spec.

I have nothing else to complain about.
Comment 7 Thomas Janssen 2010-06-29 16:23:49 EDT
Thanks for the review Magnus

License comes from the source code:

//  Copyright (C) 2007 Jason Woofenden
//
//  This file is part of VoR.
//
//  VoR is free software; you can redistribute it and/or modify it
//  under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2, or (at your option)
//  any later version.

Makes it v2+

------------------------------------

What the patch does is in it's name. Though here a link:
http://fedoraproject.org/wiki/UnderstandingDSOLinkChange

------------------------------------

http://thomasj.fedorapeople.org/reviews/vor.spec
http://thomasj.fedorapeople.org/reviews/vor-0.5.5-2.fc13.src.rpm

rpmlint vor.spec ../SRPMS/vor-0.5.5-2.fc13.src.rpm ../RPMS/x86_64/vor-*-0.5.5-2*
vor.src: W: spelling-error %description -l en_US synthoid -> synthesized, synthesis, synthetic
vor.src: W: spelling-error %description -l en_US thumpy -> thump, humpy, thumps
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 8 Magnus Tuominen 2010-06-30 02:40:56 EDT
Approved!
Comment 9 Thomas Janssen 2010-06-30 07:55:14 EDT
New Package CVS Request
=======================
Package Name: vor
Short Description: Variations on Rockdogders is an 2D space shooter
Owners: thomasj
Branches: F-12 F-13
InitialCC:
Comment 10 Jason Tibbitts 2010-07-01 00:52:18 EDT
CVS done (by process-cvs-requests.py).
Comment 11 Fedora Update System 2010-07-01 09:49:40 EDT
vor-0.5.5-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/vor-0.5.5-2.fc13
Comment 12 Fedora Update System 2010-07-01 09:49:47 EDT
vor-0.5.5-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/vor-0.5.5-2.fc12
Comment 13 Fedora Update System 2010-07-05 18:06:05 EDT
vor-0.5.5-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-07-05 18:06:52 EDT
vor-0.5.5-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.